VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec Class Reference

The `Sata.CreateSpec` class provides a specification for the configuration of a newly-created virtual SATA adapter. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.adapter.SataTypes.Type | Get_Type ()
| Adapter type.
void | SetType (vmware.vcenter.vm.hardware.adapter.SataTypes.Type type)
| Adapter type.
long | GetBus ()
| SATA bus number.
void | SetBus (long?bus)
| SATA bus number.
long | GetPciSlotNumber ()
| Address of the SATA adapter on the PCI bus.
void | SetPciSlotNumber (long?pciSlotNumber)
| Address of the SATA adapter on the PCI bus.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Sata.CreateSpec` class provides a specification for the configuration of a newly-created virtual SATA adapter.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.adapter.SataTypes.Type vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::Get_Type | ( |  | ) | `[inline]`

Adapter type.

long vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::GetBus | ( |  | ) | `[inline]`

SATA bus number.

override int vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

long vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::GetPciSlotNumber | ( |  | ) | `[inline]`

Address of the SATA adapter on the PCI bus.

void vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::SetBus | ( | long? | bus | ) | `[inline]`

SATA bus number.

void vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::SetPciSlotNumber | ( | long? | pciSlotNumber | ) | `[inline]`

Address of the SATA adapter on the PCI bus.

void vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::SetType | ( | vmware.vcenter.vm.hardware.adapter.SataTypes.Type | type | ) | `[inline]`

Adapter type.

override string vmware::vcenter::vm::hardware::adapter::SataTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SataTypes.cs